Subject: Re: Looki..ng for. fr.iend?

From: "Osvaldo" <[email-masked]>
Date: Sun, 11 Mar 2007 21:02:51 -0200

Hi,
Hope I am not writing to wrong address. I am nice, pretty looking
girl. I am planning on visibting ybour town this month. Can 
we meet each other in person? Message me back at [email-masked]